<?php
if (!defined("ROOT_PATH"))
{
	header("HTTP/1.1 403 Forbidden");
	exit;
}
class pjAvailabilityModel extends pjAppModel
{
	protected $primaryKey = 'id';
	
	protected $table = 'availability';
	
	protected $schema = array(
		array('name' => 'id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'item_id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'dt', 'type' => 'date', 'default' => ':NULL'),
		array('name' => 'date_from', 'type' => 'date', 'default' => ':NULL'),
		array('name' => 'date_to', 'type' => 'date', 'default' => ':NULL'),
		array('name' => 'cnt', 'type' => 'int', 'default' => ':NULL')
	);
	
	public static function factory($attr=array())
	{
		return new pjAvailabilityModel($attr);
	}
}
?>